## Apache Zeta Components Manual :: Docs For Class ezcMvcRequestParser

### MvcTools::ezcMvcRequestParser

### Class ezcMvcRequestParser

The interface that should be implemented by all request parsers.

A request parser takes the raw request - protocol dependent - and creates an abstract ezcMvcRequest object of this.

Source for this file: /MvcTools/src/interfaces/request_parser.php

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcMvcMailRequestParser | Request parser that uses an e-mail message to populate an ezcMvcRequest object.
ezcMvcHttpRequestParser | Request parser that uses HTTP headers to populate an ezcMvcRequest object.

### Properties

string | read/write | `$prefix` The prefix in the URL that should be stripped from URL properties.

### Member Variables

protected array(string=>mixed) | `$properties = array()` Holds the properties of this class.
protected ezcMvcRequest | `$request` Contains the request struct

### Method Summary

public ezcMvcRequestParser | `__construct( )` Constructs a new request parser
public abstract ezcMvcRequest | `createRequest( )` Reads the raw request data with what ever means necessary and constructs an ezcMvcRequest object.

### Methods

#### __construct

ezcMvcRequestParser __construct( )

Constructs a new request parser

#### createRequest

ezcMvcRequest createRequest( )

Reads the raw request data with what ever means necessary and constructs an ezcMvcRequest object.

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcMvcMailRequestParser::createRequest()` | Uses stdin, or the provided data in $mailMessage.
`ezcMvcHttpRequestParser::createRequest()` | Uses the data from the superglobals.

Documentation generated by phpDocumentor 1.4.3